#
# spec file for package ytree
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ytree
Version:        2.10
Release:        1.3
Summary:        A filemanager similar to XTree
License:        GPL-2.0-only
Group:          Productivity/File utilities
URL:            https://www.han.de/~werner/ytree.html
Source:         https://www.han.de/~werner/%{name}-%{version}.tar.gz
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel

%description
ytree is a (curses-based) file manager similar to DOS XTree.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags}"
%make_build

%install
install -D -m0644 ytree.1 %{buildroot}/%{_mandir}/man1/ytree.1
install -D -m0755 ytree %{buildroot}/%{_bindir}/ytree

%files
%license COPYING
%doc CHANGES README THANKS
%doc ytree.conf
%{_bindir}/ytree
%{_mandir}/man1/ytree.1%{?ext_man}

%changelog
* Thu Feb 13 2025 pgajdos@suse.com
- version update to 2.10
  * 7zip / iso support
  * Should compile with gcc 15
- deleted patches
  - ytree-gcc15.patch (upstreamed)
* Wed Feb 12 2025 pgajdos@suse.com
- added patches
  fix fix build with gcc 15, reported to werner[]frolix.han.de
  + ytree-gcc15.patch
* Fri Jun  7 2024 Dirk Müller <dmueller@suse.com>
- update to 2.09:
  * Window resize support for hex-view and hex-edit
  * Display format improvements
* Sun Apr  7 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 2.08
  * "Show tagged files only" in file windows (Shift-F4 or Ctrl-F4
    (if system allows Ctrl function keys / Thanks to frank)
  * Lots of UTF_8 improvements/bugfixes
  * Improve compatibility with old unix systems / some minor fixes
* Sun Mar 17 2024 Dirk Müller <dmueller@suse.com>
- update to 2.07:
  * Removed -O compiler switch due to problems with UTF_8
    code
  * Added workaround when resizing ytree window during string
    input
* Sun Dec 17 2023 Dirk Müller <dmueller@suse.com>
- update to 2.06:
  * Fixed compile error in input.c (UTF_8 only)
* Wed Aug 23 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to 2.0.5:
  * Uses regcomp instead of deprecated re_comp/re_exec (linux)
  * Debug file sort issue for very large file sizes
  * Reduced compiler warnings
- run spec-clean
* Sun Nov  7 2021 Martin Hauke <mardnh@gmx.de>
- Update to 2.0.4:
  * Avoid security warning for mvprintw in input.c
* Sun Feb 28 2021 Dirk Müller <dmueller@suse.com>
- update to 2.0.3:
  * cleanup + added LDFLAG "-ltinfo"
* Fri Jun 26 2020 Martin Hauke <mardnh@gmx.de>
- Specfile cleanup
- Build with CFLAGS
- Use Proper RPM Group
* Mon Nov 21 2016 Marcus Furlong <furlongm@gmail.com>
- Initial OBS Release
